---
layout: mockup
title: "Web - Text Encoding"
theme: Adwaita/Adwaita.css
permalink: epiphany/text-encoding-dialog
wallpaper: black
---


<div class="gtkdialog-window action-dialog">
	<div class="titlebar" title="Text Encoding Override">
		<a class="button text-button float-left">Cancel</a>
		<a class="button text-button suggested-action float-right">Apply</a>
	</div>
	<div class="gtkdialog-content">
		<div class="row">
			<label>Use Custom Text Encoding</label>
			{%- include components/switch.html float = "right" checked = "checked" onclick = "$('.browserEncodingOption').toggleClass('insensitive');" -%}
		</div>
		<h4>Recent Encodings</h4>
		<ul class="listrow">
			<li class="browserEncodingOption" id="browserEncoding1" onclick="$('#browserEncoding1 > .icon').toggleClass('hidden');">
				<label>Unicode (UTF-8)</label>
				<div class="icon s16 float-right">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
			</li>
			<li class="browserEncodingOption" id="browserEncoding2" onclick="$('#browserEncoding2 > .icon').toggleClass('hidden');">
				<label>English (US-ASCII)</label>
				<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
			</li>
			<li class="browserEncodingOption hidden" id="hiddenBrowserEncoding" onclick="$('#hiddenBrowserEncoding > .icon').toggleClass('hidden');">
				<label>Baltic (ISO-8859-4)</label>
				<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
			</li>
			<li class="text-center" onclick="$('#hiddenBrowserEncoding').removeClass('hidden');">
				<label class="center">Add text encoding scheme&hellip;</label>
			</li>
		</ul>
	</div>
</div>